Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignTool.cs	(revision 4068)
@@ -1,99 +1,87 @@
-using System;
-using System.Diagnostics;
-using System.Collections;
-using System.Drawing;
 using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Tool to align shapes in various ways
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class AlignTool : AbstractTool {
+
+    #region Fields
+
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Tool to align shapes in various ways
+    /// The type of alignment to apply.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class AlignTool : AbstractTool
-    {
+    // ------------------------------------------------------------------
+    private ShapeAlignment mAlignment;
 
-        #region Fields
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// The type of alignment to apply.
-        /// </summary>
-        // ------------------------------------------------------------------
-        private ShapeAlignment mAlignment;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets or sets the type of alignment to apply.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public ShapeAlignment Alignment
-        {
-            get { return mAlignment; }
-            set { mAlignment = value; }
-        }
-
-  
-        #endregion
-
-        #region Constructor
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:AlignTool"/> class.
-        /// </summary>
-        /// <param name="name">The name of the tool.</param>
-        // ------------------------------------------------------------------
-        public AlignTool(string name) : base(name)
-        { 
-        }
-        #endregion
-
-        #region Methods
-
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        protected override void OnActivateTool()
-        {
-            bool valid = true;
-            
-            #region Validation of the selection
-            
-            //make sure we have the correct stuff on the table
-            if (this.Controller.Model.Selection.SelectedItems == null || this.Controller.Model.Selection.SelectedItems.Count == 0)
-            {
-                MessageBox.Show("Nothing is selected, you need to select an existing group.", "Nothing selected.", MessageBoxButtons.OK, MessageBoxIcon.Hand);
-                valid = false;                
-            } else if (this.Controller.Model.Selection.SelectedItems.Count != 1)
-            {
-                MessageBox.Show("Multiple items are selected, select only one group.", "Multiple items", MessageBoxButtons.OK, MessageBoxIcon.Hand);
-                valid = false;
-            } else if (!(this.Controller.Model.Selection.SelectedItems[0] is IGroup))
-            {
-                MessageBox.Show("The selected item is not a group.", "Not a group.", MessageBoxButtons.OK, MessageBoxIcon.Hand);
-                valid = false;
-            }
-            #endregion
-
-            if (valid)
-            {
-                UngroupCommand cmd = new UngroupCommand(
-                    this.Controller,
-                   this.Controller.Model.Selection.SelectedItems[0] as IGroup);
-
-                this.Controller.UndoManager.AddUndoCommand(cmd);
-                cmd.Redo();
-            }
-             DeactivateTool();
-             return;
-        }
-
-     
-        #endregion
-
-      
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets or sets the type of alignment to apply.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public ShapeAlignment Alignment {
+      get { return mAlignment; }
+      set { mAlignment = value; }
     }
 
+
+    #endregion
+
+    #region Constructor
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:AlignTool"/> class.
+    /// </summary>
+    /// <param name="name">The name of the tool.</param>
+    // ------------------------------------------------------------------
+    public AlignTool(string name)
+      : base(name) {
+    }
+    #endregion
+
+    #region Methods
+
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    protected override void OnActivateTool() {
+      bool valid = true;
+
+      #region Validation of the selection
+
+      //make sure we have the correct stuff on the table
+      if (this.Controller.Model.Selection.SelectedItems == null || this.Controller.Model.Selection.SelectedItems.Count == 0) {
+        MessageBox.Show("Nothing is selected, you need to select an existing group.", "Nothing selected.", MessageBoxButtons.OK, MessageBoxIcon.Hand);
+        valid = false;
+      } else if (this.Controller.Model.Selection.SelectedItems.Count != 1) {
+        MessageBox.Show("Multiple items are selected, select only one group.", "Multiple items", MessageBoxButtons.OK, MessageBoxIcon.Hand);
+        valid = false;
+      } else if (!(this.Controller.Model.Selection.SelectedItems[0] is IGroup)) {
+        MessageBox.Show("The selected item is not a group.", "Not a group.", MessageBoxButtons.OK, MessageBoxIcon.Hand);
+        valid = false;
+      }
+      #endregion
+
+      if (valid) {
+        UngroupCommand cmd = new UngroupCommand(
+            this.Controller,
+           this.Controller.Model.Selection.SelectedItems[0] as IGroup);
+
+        this.Controller.UndoManager.AddUndoCommand(cmd);
+        cmd.Redo();
+      }
+      DeactivateTool();
+      return;
+    }
+
+
+    #endregion
+
+
+  }
+
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignTopEdgesTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignTopEdgesTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignTopEdgesTool.cs	(revision 4068)
@@ -1,58 +1,48 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
-using System.Collections;
 using System.Drawing;
-using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Aligns the top edges of the selected entities.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public class AlignTopEdgesTool : AlignmentToolBase {
+    // ------------------------------------------------------------------
     /// <summary>
-    /// Aligns the top edges of the selected entities.
+    /// Constructor.
     /// </summary>
-    // ----------------------------------------------------------------------
-    public class AlignTopEdgesTool : AlignmentToolBase
-    {
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The name of this tool</param>
-        // ------------------------------------------------------------------
-        public AlignTopEdgesTool(string toolName)
-            : base(toolName)
-        {
-        }
+    /// <param name="toolName">string: The name of this tool</param>
+    // ------------------------------------------------------------------
+    public AlignTopEdgesTool(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Aligns the top edges of all selected entities.  The vertical
-        /// location of the first entity in the selection is used for all 
-        /// other entities vertical location.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public override void Align(IDiagramEntity[] entities)
-        {
-            // We want to align the top edges, so we need to set the
-            // vertical location of each shape to one value.  We're
-            // going use the first entity in the selection to determine
-            // this setting.
-            Point offset;
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Aligns the top edges of all selected entities.  The vertical
+    /// location of the first entity in the selection is used for all 
+    /// other entities vertical location.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public override void Align(IDiagramEntity[] entities) {
+      // We want to align the top edges, so we need to set the
+      // vertical location of each shape to one value.  We're
+      // going use the first entity in the selection to determine
+      // this setting.
+      Point offset;
 
-            for (int i = 1; i < entities.Length; i++)
-            {
-                IDiagramEntity entity = entities[i];
+      for (int i = 1; i < entities.Length; i++) {
+        IDiagramEntity entity = entities[i];
 
-                // Keep the entities same y location but offset it's
-                // x location.
-                offset = new Point(
-                    0,
-                    this.topEdgeOfFirstEntity - entity.Rectangle.Top);
+        // Keep the entities same y location but offset it's
+        // x location.
+        offset = new Point(
+            0,
+            this.topEdgeOfFirstEntity - entity.Rectangle.Top);
 
-                // Move the entity by this amount.
-                entity.MoveBy(offset);
-            }
-        }
+        // Move the entity by this amount.
+        entity.MoveBy(offset);
+      }
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignmentToolBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignmentToolBase.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/AlignmentToolBase.cs	(revision 4068)
@@ -1,94 +1,85 @@
-using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Drawing;
 using System.Windows.Forms;
-using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
-    public abstract class AlignmentToolBase : AbstractTool
-    {
-        protected IDiagramEntity firstEntity;
-        protected int xLocationOfFirstEntity;
-        protected int yLocationOfFirstEntity;
-        protected int topEdgeOfFirstEntity;
-        protected int bottomEdgeOfFirstEntity;
-        protected Point centerOfFirstEntity;
-        protected int rightEdgeOfFirstEntity;
+namespace Netron.Diagramming.Core {
+  public abstract class AlignmentToolBase : AbstractTool {
+    protected IDiagramEntity firstEntity;
+    protected int xLocationOfFirstEntity;
+    protected int yLocationOfFirstEntity;
+    protected int topEdgeOfFirstEntity;
+    protected int bottomEdgeOfFirstEntity;
+    protected Point centerOfFirstEntity;
+    protected int rightEdgeOfFirstEntity;
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Constructor.
-        /// </summary>
-        /// <param name="toolName">string: The name of this tool</param>
-        // ------------------------------------------------------------------
-        public AlignmentToolBase(string toolName)
-            : base(toolName)
-        {
-        }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Constructor.
+    /// </summary>
+    /// <param name="toolName">string: The name of this tool</param>
+    // ------------------------------------------------------------------
+    public AlignmentToolBase(string toolName)
+      : base(toolName) {
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Activates the tool.  First a check is performed to ensure there
-        /// are at least two IDiagramEntities selected.  If so, then the
-        /// x, y, top edge, bottom edge, and center of the first entity
-        /// is stored in local, protected variables for all other alignment
-        /// tools to use.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected override void OnActivateTool()
-        {
-            base.OnActivateTool();
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Activates the tool.  First a check is performed to ensure there
+    /// are at least two IDiagramEntities selected.  If so, then the
+    /// x, y, top edge, bottom edge, and center of the first entity
+    /// is stored in local, protected variables for all other alignment
+    /// tools to use.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected override void OnActivateTool() {
+      base.OnActivateTool();
 
-            // Make sure enough items were selected.
-            if (this.Controller.Model.Selection.SelectedItems == null)
-            {
-                MessageBox.Show(
-                    "Nothing is selected, you need to select at " +
-                    "least two items to align.",
-                    "Nothing selected.",
-                    MessageBoxButtons.OK,
-                    MessageBoxIcon.Hand);
+      // Make sure enough items were selected.
+      if (this.Controller.Model.Selection.SelectedItems == null) {
+        MessageBox.Show(
+            "Nothing is selected, you need to select at " +
+            "least two items to align.",
+            "Nothing selected.",
+            MessageBoxButtons.OK,
+            MessageBoxIcon.Hand);
 
-                return;
-            }
+        return;
+      }
 
-            if (this.Controller.Model.Selection.SelectedItems.Count <= 1)
-            {
-                MessageBox.Show(
-                    "You need to select at least two items to align.",
-                    "Nothing selected.",
-                    MessageBoxButtons.OK,
-                    MessageBoxIcon.Hand);
+      if (this.Controller.Model.Selection.SelectedItems.Count <= 1) {
+        MessageBox.Show(
+            "You need to select at least two items to align.",
+            "Nothing selected.",
+            MessageBoxButtons.OK,
+            MessageBoxIcon.Hand);
 
-                return;
-            }
+        return;
+      }
 
-            // Since there are enough items, peform the alignment.  But
-            // first get all aspects about the location of the first
-            // entity.
-            this.firstEntity = this.Controller.Model.Selection.SelectedItems[0];
-            this.xLocationOfFirstEntity = firstEntity.Rectangle.X;
-            this.yLocationOfFirstEntity = firstEntity.Rectangle.Y;
-            this.topEdgeOfFirstEntity = firstEntity.Rectangle.Top;
-            this.bottomEdgeOfFirstEntity = firstEntity.Rectangle.Bottom;
-            this.rightEdgeOfFirstEntity = firstEntity.Rectangle.Right;
-            this.centerOfFirstEntity = firstEntity.Center;
+      // Since there are enough items, peform the alignment.  But
+      // first get all aspects about the location of the first
+      // entity.
+      this.firstEntity = this.Controller.Model.Selection.SelectedItems[0];
+      this.xLocationOfFirstEntity = firstEntity.Rectangle.X;
+      this.yLocationOfFirstEntity = firstEntity.Rectangle.Y;
+      this.topEdgeOfFirstEntity = firstEntity.Rectangle.Top;
+      this.bottomEdgeOfFirstEntity = firstEntity.Rectangle.Bottom;
+      this.rightEdgeOfFirstEntity = firstEntity.Rectangle.Right;
+      this.centerOfFirstEntity = firstEntity.Center;
 
-            this.Align(this.Controller.Model.Selection.SelectedItems.ToArray());
+      this.Align(this.Controller.Model.Selection.SelectedItems.ToArray());
 
-            // Reset the Tracker.
-            this.Controller.View.ShowTracker();
-            DeactivateTool();
-        }
+      // Reset the Tracker.
+      this.Controller.View.ShowTracker();
+      DeactivateTool();
+    }
 
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Abstract method to be implemented by all alignment tools.
-        /// </summary>
-        /// <param name="entities">IDiagramEntity[]: All selected
-        /// entities.</param>
-        // ------------------------------------------------------------------
-        public abstract void Align(IDiagramEntity[] entities);
-    }
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Abstract method to be implemented by all alignment tools.
+    /// </summary>
+    /// <param name="entities">IDiagramEntity[]: All selected
+    /// entities.</param>
+    // ------------------------------------------------------------------
+    public abstract void Align(IDiagramEntity[] entities);
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ComplexRectangleTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ComplexRectangleTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ComplexRectangleTool.cs	(revision 4068)
@@ -1,74 +1,66 @@
-using System;
 using System.Drawing;
 
-namespace Netron.Diagramming.Core
-{
-    /// <summary>
-    /// Tool to draw complex rectangles on the canvas
-    /// </summary>
-    public class ComplexRectangleTool : AbstractDrawingTool
-    {
-        #region Fields
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// Tool to draw complex rectangles on the canvas
+  /// </summary>
+  public class ComplexRectangleTool : AbstractDrawingTool {
+    #region Fields
 
-        #endregion
+    #endregion
 
-        #region Properties
+    #region Properties
 
-        #endregion
+    #endregion
 
-        #region Constructor
-        public ComplexRectangleTool() : base("ComplexRectangle Tool")
-        {
-        }
-        public ComplexRectangleTool(string name): base(name)
-        {
+    #region Constructor
+    public ComplexRectangleTool()
+      : base("ComplexRectangle Tool") {
+    }
+    public ComplexRectangleTool(string name)
+      : base(name) {
 
-        }
-        #endregion
+    }
+    #endregion
 
-        #region Methods
-        protected override void OnMouseMove(System.Windows.Forms.MouseEventArgs e)
-        {
-            base.OnMouseMove(e);
-            if (IsActive && started)
-            {
-                Point point = new Point(e.X, e.Y);               
+    #region Methods
+    protected override void OnMouseMove(System.Windows.Forms.MouseEventArgs e) {
+      base.OnMouseMove(e);
+      if (IsActive && started) {
+        Point point = new Point(e.X, e.Y);
 
-                Controller.View.PaintGhostRectangle(startingPoint, point);
+        Controller.View.PaintGhostRectangle(startingPoint, point);
 
-                Controller.View.Invalidate(System.Drawing.Rectangle.Inflate(Controller.View.Ghost.Rectangle,20,20));
-            }
-        }
+        Controller.View.Invalidate(System.Drawing.Rectangle.Inflate(Controller.View.Ghost.Rectangle, 20, 20));
+      }
+    }
 
 
-        /// <summary>
-        /// This method will be called when the user has finished drawing a ghost rectangle or bundle
-        /// and initiates the actual creation of a bundle and the addition to the model via the appropriate command.
-        /// </summary>
-        protected override void GhostDrawingComplete()
-        {
+    /// <summary>
+    /// This method will be called when the user has finished drawing a ghost rectangle or bundle
+    /// and initiates the actual creation of a bundle and the addition to the model via the appropriate command.
+    /// </summary>
+    protected override void GhostDrawingComplete() {
 
-            try
-            {
-                ComplexRectangle shape = new ComplexRectangle(this.Controller.Model);
-                shape.Width = (int) Rectangle.Width;
-                shape.Height = (int) Rectangle.Height;
-                AddShapeCommand cmd = new AddShapeCommand(this.Controller, shape, new Point((int) Rectangle.X, (int)Rectangle.Y));
-                this.Controller.UndoManager.AddUndoCommand(cmd);
-                cmd.Redo();
-            }
-            catch
-            {
-                base.Controller.DeactivateTool(this);
-                Controller.View.Invalidate();
-                throw;
-            }
+      try {
+        ComplexRectangle shape = new ComplexRectangle(this.Controller.Model);
+        shape.Width = (int)Rectangle.Width;
+        shape.Height = (int)Rectangle.Height;
+        AddShapeCommand cmd = new AddShapeCommand(this.Controller, shape, new Point((int)Rectangle.X, (int)Rectangle.Y));
+        this.Controller.UndoManager.AddUndoCommand(cmd);
+        cmd.Redo();
+      }
+      catch {
+        base.Controller.DeactivateTool(this);
+        Controller.View.Invalidate();
+        throw;
+      }
 
-            //base.Controller.DeactivateTool(this);
-        }
+      //base.Controller.DeactivateTool(this);
+    }
 
 
-        #endregion
-    }
+    #endregion
+  }
 
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ConnectionTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ConnectionTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ConnectionTool.cs	(revision 4068)
@@ -1,5 +1,3 @@
 using System;
-using System.Diagnostics;
-using System.Collections;
 using System.Drawing;
 using System.Windows.Forms;
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ConnectorMoverTool.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ConnectorMoverTool.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Tools/ConnectorMoverTool.cs	(revision 4068)
@@ -1,118 +1,106 @@
 using System;
-using System.Diagnostics;
-using System.Collections;
 using System.Drawing;
 using System.Windows.Forms;
 
-namespace Netron.Diagramming.Core
-{
+namespace Netron.Diagramming.Core {
+  /// <summary>
+  /// This tool implement the action of moving shape connectors on the canvas.     
+  /// </summary>
+  class ConnectorMoverTool : AbstractTool, IMouseListener {
+
+    #region Fields
     /// <summary>
-    /// This tool implement the action of moving shape connectors on the canvas.     
+    /// the location of the mouse when the motion starts
     /// </summary>
-    class ConnectorMoverTool : AbstractTool, IMouseListener
-    {
+    private Point initialPoint;
+    /// <summary>
+    /// the intermediate location of the mouse during the motion
+    /// </summary>
+    private Point lastPoint;
+    /// <summary>
+    /// the connector being moved
+    /// </summary>
+    private IConnector fetchedConnector;
+    /// <summary>
+    /// whether we are currently moving something
+    /// </summary>
+    private bool motionStarted;
 
-        #region Fields
-        /// <summary>
-        /// the location of the mouse when the motion starts
-        /// </summary>
-        private Point initialPoint;
-        /// <summary>
-        /// the intermediate location of the mouse during the motion
-        /// </summary>
-        private Point lastPoint;
-        /// <summary>
-        /// the connector being moved
-        /// </summary>
-        private IConnector fetchedConnector;
-        /// <summary>
-        /// whether we are currently moving something
-        /// </summary>
-        private bool motionStarted;
+    #endregion
 
-        #endregion
+    #region Constructor
+    /// <summary>
+    /// Initializes a new instance of the <see cref="T:ConnectorMoverTool"/> class.
+    /// </summary>
+    /// <param name="name">The name of the tool.</param>
+    public ConnectorMoverTool(string name)
+      : base(name) {
+    }
+    #endregion
 
-        #region Constructor
-        /// <summary>
-        /// Initializes a new instance of the <see cref="T:ConnectorMoverTool"/> class.
-        /// </summary>
-        /// <param name="name">The name of the tool.</param>
-        public ConnectorMoverTool(string name) : base(name)
-        {
-        }
-        #endregion
+    #region Methods
 
-        #region Methods
-
-        /// <summary>
-        /// Called when the tool is activated.
-        /// </summary>
-        protected override void OnActivateTool()
-        {
-            Controller.View.CurrentCursor = CursorPalette.Select;
-            motionStarted = false;
-            fetchedConnector = null;
-        }
-
-        /// <summary>
-        /// Handles the mouse down event
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
-        public bool MouseDown(MouseEventArgs e)
-        {
-            if (e == null)
-                throw new ArgumentNullException("The argument object is 'null'");
-            if (e.Button == MouseButtons.Left && Enabled && !IsSuspended)
-            {
-                fetchedConnector =this.Controller.Model.Selection.FindShapeConnector(e.Location);
-                if(fetchedConnector != null)
-                {
-                    
-                        initialPoint = e.Location;
-                        lastPoint = initialPoint;
-                        motionStarted = true;
-                        return true;                    
-                }
-            }
-            return false;
-        }
-
-        /// <summary>
-        /// Handles the mouse move event
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
-        public void MouseMove(MouseEventArgs e)
-        {
-            if (e == null)
-                throw new ArgumentNullException("The argument object is 'null'");
-            Point point = e.Location;
-            if(IsActive && motionStarted)
-            {
-
-                fetchedConnector.MoveBy(new Point(point.X - lastPoint.X, point.Y - lastPoint.Y));
-                
-                lastPoint = point;
-            }            
-        }
-        /// <summary>
-        /// Handles the mouse up event
-        /// </summary>
-        /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
-        public void MouseUp(MouseEventArgs e)
-        {
-            if (IsActive)
-            {
-                DeactivateTool();
-                if(fetchedConnector == null)
-                    return;
-                Bundle bundle = new Bundle(Controller.Model);
-                bundle.Entities.Add(fetchedConnector);
-                MoveCommand cmd = new MoveCommand(this.Controller, bundle, new Point(lastPoint.X - initialPoint.X, lastPoint.Y - initialPoint.Y));
-                Controller.UndoManager.AddUndoCommand(cmd);
-                //not necessary to perform the Redo action of the command since the mouse-move already moved the bundle!
-            }
-        }
-        #endregion
+    /// <summary>
+    /// Called when the tool is activated.
+    /// </summary>
+    protected override void OnActivateTool() {
+      Controller.View.CurrentCursor = CursorPalette.Select;
+      motionStarted = false;
+      fetchedConnector = null;
     }
 
+    /// <summary>
+    /// Handles the mouse down event
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
+    public bool MouseDown(MouseEventArgs e) {
+      if (e == null)
+        throw new ArgumentNullException("The argument object is 'null'");
+      if (e.Button == MouseButtons.Left && Enabled && !IsSuspended) {
+        fetchedConnector = this.Controller.Model.Selection.FindShapeConnector(e.Location);
+        if (fetchedConnector != null) {
+
+          initialPoint = e.Location;
+          lastPoint = initialPoint;
+          motionStarted = true;
+          return true;
+        }
+      }
+      return false;
+    }
+
+    /// <summary>
+    /// Handles the mouse move event
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
+    public void MouseMove(MouseEventArgs e) {
+      if (e == null)
+        throw new ArgumentNullException("The argument object is 'null'");
+      Point point = e.Location;
+      if (IsActive && motionStarted) {
+
+        fetchedConnector.MoveBy(new Point(point.X - lastPoint.X, point.Y - lastPoint.Y));
+
+        lastPoint = point;
+      }
+    }
+    /// <summary>
+    /// Handles the mouse up event
+    /// </summary>
+    /// <param name="e">The <see cref="T:System.Windows.Forms.MouseEventArgs"/> instance containing the event data.</param>
+    public void MouseUp(MouseEventArgs e) {
+      if (IsActive) {
+        DeactivateTool();
+        if (fetchedConnector == null)
+          return;
+        Bundle bundle = new Bundle(Controller.Model);
+        bundle.Entities.Add(fetchedConnector);
+        MoveCommand cmd = new MoveCommand(this.Controller, bundle, new Point(lastPoint.X - initialPoint.X, lastPoint.Y - initialPoint.Y));
+        Controller.UndoManager.AddUndoCommand(cmd);
+        //not necessary to perform the Redo action of the command since the mouse-move already moved the bundle!
+      }
+    }
+    #endregion
+  }
+
 }
